[Solved] Rendering crashed

Hello,

I just finished my project with Kdenlive 0.9.4. Unfortunately, I can't render my project...
I'm working with ubuntu 12.10.

Here is the bug i have :

Rendering of /home/yannick/Vidéos/Ile maurice/Rendus/Ile-momo-finale.mp4 crashed
[flv @ 0x26ae760] Estimating duration from bitrate, this may be inaccurate
[flv @ 0x29d6da0] Estimating duration from bitrate, this may be inaccurate
[flv @ 0x29d8cc0] Estimating duration from bitrate, this may be inaccurate
[mp3 @ 0x294c4c0] max_analyze_duration reached
[mp3 @ 0x2954540] max_analyze_duration reached
[flv @ 0x2970500] Estimating duration from bitrate, this may be inaccurate
[flv @ 0x2aa9e40] Estimating duration from bitrate, this may be inaccurate
[flv @ 0x2b88a60] Estimating duration from bitrate, this may be inaccurate
[mp3 @ 0x7f61702cd520] max_analyze_duration reached
[mp3 @ 0x7f61702cdb60] max_analyze_duration reached
melt: /build/gpocentek-libav-extra_0.8.5ubuntu0.12.10.1+medibuntu1-amd64-I0amwn/libav-extra-0.8.5ubuntu0.12.10.1+medibuntu1/libav/libavutil/mathematics.c :80 : av_rescale_rnd: L'assertion « b >=0 » a échoué.

Is there anything i can do to so I can render my project ??
Thank you in advance..!!

Forums:

what version of melt

melt -version

melt 0.8.8
(I've installed kdenlive with the ppa ppa:sunab/kdenlive-release).

Hmmm. Well that should be OK then.
What profile are you trying to render to?

Have you tried others?

Looking at your error I think the actual error is in libav.

Estimating duration from bitrate, this may be inaccurate and [mp3 @ 0x294c4c0] max_analyze_duration reached are red herrings in my experience.

libav supplies ffmpeg which kdenlive relies on. So I wonder what version of that is installed?

- ffmpeg version 0.8.5-6:0.8.5-0ubuntu0.12.10.1, Copyright (c) 2000-2012 the Libav developers.
- profile : 1080 30fps, mpeg4,
- I've tried other profiles and they don't work neither.
- When I downgrade on 0.9.2-2 the crashed doesn't appear and I can render my project (but without the RVB color correction effect witch is not on this version, that I've used a lot).

You could try dropping the mediabuntu repro's, uninstall all ffmpeg libav related libraries and getting libav / ffmpeg from vanilla Ubuntu 12.10 repo's instead. There's many using Ubuntu 12.10 with latest git kdenlive who can render, so assume mediabuntu is causing compatibility problems.

Thank's for your answer !
I'm already using vanilla ubuntu 12.10 repo...

Are you sure? Your output appears to suggest mediabuntu builds?

melt: /build/gpocentek-libav-extra_0.8.5ubuntu0.12.10.1+medibuntu1-amd64-I0amwn/libav-extra-0.8.5ubuntu0.12.10.1+medibuntu1/libav/libavutil/mathematics.c :80 : av_rescale_rnd: L'assertion « b >=0 » a échoué.

You were right, I had medibuntu repo installed... !!
I solved the problem by installing last version of ffmpeg : sudo add-apt-repository ppa:jon-severinsson/ffmpeg && sudo apt-get update && sudo apt-get upgrade

Thank's yellow and ttguy for your help !!! :)

Kdenlive is (almost) perfect ! (just missing a reverse effect... !)

Pages